package com.goldenwater.yjjt.mapper;

import java.util.List;
import java.util.Map;
import org.apache.ibatis.annotations.Param;
import com.goldenwater.yjjt.domain.YjjtSzData;

/**
 * 引江济太水质数据Mapper接口
 */
public interface YjjtSzDataMapper
{
    public YjjtSzData selectYjjtSzDataById(Long id);

    public List<YjjtSzData> selectYjjtSzDataList(YjjtSzData szData);

    public int insertYjjtSzData(YjjtSzData szData);

    public int updateYjjtSzData(YjjtSzData szData);

    public int deleteYjjtSzDataById(Long id);

    public int deleteYjjtSzDataByIds(Long[] ids);

    public int countByStcdAndSpt(@Param("stcd") String stcd, @Param("spt") String spt, @Param("addvcd") String addvcd);

    public List<String> selectDistinctRvnmList();

    public List<Map<String, Object>> selectCountByDateRange(@Param("beginDate") String beginDate, @Param("endDate") String endDate);

    public Map<String, Object> selectTodayWeekMonthCount(@Param("addvcd") String addvcd);
}
